fuss-server - Segnalazione #224

fuss-server upgrade
04/10/2017 01:44 PM - Helmut Oberholllenzer

Status: Risolto Start date: 04/10/2017
Priority: Alta Due date:

Assignee: Michael Guggenberg % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Description

Hallo,

ich habe gerade einen Server installiert,
danach habe ich ein fuss-upgrade gestartet:

TASK [dhcp : Creating base DHCP configuration] **
fatal: [localhost]: FAILED! => {"changed": false, "failed": true, "msg": "AnsibleUndefinedVariable: 'pxe_server' is undefined"}
to retry, use: --limit @/usr/share/fuss-server/upgrade.retry

PLAY RECAP ******
localhost : 0k=48 changed=3 unreachable=0 failed=1

GriBe
Helmut

Related issues:
Related to fuss-server - Segnalazione #228: pxe boot proxmox-client Risolto 04/11/2017

History

#1 - 04/10/2017 01:52 PM - Helmut Oberholllenzer

Hallo,

wenn man in der Datei /etc/fuss-server/fuss-server.yaml

pxe_server: ip-server

hinzuflgt lauft fuss-server upgrade und es wird der Task pxe-server ausgefihrt.

GriiBe

#2 - 04/10/2017 03:31 PM - Paolo Dongilli
- Assignee set to TRUELITE

#5 - 04/10/2017 03:36 PM - Paolo Dongilli

- Priority changed from Normale to Alta

#6 - 04/11/2017 10:13 AM - Elena Grandi

- Status changed from Nuovo to In elaborazione

#7 - 04/11/2017 10:44 AM - Elena Grandi

Trovato il problema (mancava un valore di default), appena ho completato le altre fix di oggi pubblichero versione aggiornata di fuss-server

#8 - 04/11/2017 11:05 AM - Elena Grandi

04/04/2025 1/4




- Assignee changed from TRUELITE to Elena Grandi

#9 - 04/11/2017 11:56 AM - Elena Grandi
- Status changed from In elaborazione to Commenti

- Assignee changed from Elena Grandi to Paolo Dongilli

Risolto nella nuova versione di fuss-server che ho appena messo sul repository

Non serve avere il valore in /etc/fuss-server/fuss-server.yaml (avrebbe dovuto essere impostato come default dentro a fuss-server, cosa che invece
non era)

#10 - 04/11/2017 11:57 AM - Elena Grandi

- Assignee changed from Paolo Dongilli to Helmut Oberholllenzer

#11 - 04/11/2017 02:10 PM - Michael Guggenberg

root@server:/# fuss-server upgrade

TASK [dhcp : Creating base DHCP configuration] ******

fatal: [localhost]: FAILED! => {"changed": false, "failed": true, "msg": "Ansibl
eUndefinedVariable: 'pxe_server' is undefined"}

to retry, use: --limit @/usr/share/fuss-server/upgrade.retry

PLAY RECAP
localhost :0k=48 changed=3 unreachable=0 failed=1

root@server:/# dpkg -l fuss-server
Desired=Unknown/Install/Remove/Purge/Hold | Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend |/

Err?=(none)/Reinst-required (Status,Err: uppercase=bad) ||/ Name Version Architecture
Description
ii fuss-server 8.0.7-1 all Fuss Server

#12 - 04/11/2017 02:10 PM - Christopher R. Gabriel

- Assignee changed from Helmut Oberholllenzer to Elena Grandi

#13 - 04/11/2017 02:19 PM - Elena Grandi

- Assignee changed from Elena Grandi to Helmut Oberholllenzer

La versione funzionante € 8.0.8-1, che ho appena verificato essere presente su archive.fuss.bz.it

#14 - 04/11/2017 02:22 PM - Elena Grandi
- Assignee changed from Helmut Oberholllenzer to Michael Guggenberg

#15 - 04/11/2017 02:35 PM - Michael Guggenberg

fuss-server 8.0.8-1, ok

#16 - 04/11/2017 04:38 PM - Michael Guggenberg
- File 2017-04-11_16-33-28.png added
- File 2017-04-11_16-32-22.png added

pxe con un client virtuale kvm in proxmox da errore, vedi allegati.

#17 - 04/11/2017 04:51 PM - Michael Guggenberg

modifico /etc/dhcp/dhcpd.conf

subnet 192.168.0.0 netmask 255.255.255.0 {
range 192.168.0.10 192.168.0.100 ;

option domain-name-servers 192.168.0.1;
option domain-name "fuss.bzn";

option routers 192.168.0.1;

1. option netbios-name-servers <wins-ip>;
option ntp-servers 192.168.0.1;
default-lease-time 600;
max-lease-time 7200;
filename "pxelinux.0";

Il next-server 192.168.0.1;

}

riesco a fare boot attraverso pxe

#18 - 04/11/2017 04:58 PM - Michael Guggenberg

- Related to Segnalazione #228: pxe boot proxmox-client added

#19 - 04/11/2017 05:01 PM - Christopher R. Gabriel

- Assignee changed from Michael Guggenberg to Elena Grandi

#20 - 04/12/2017 10:48 AM - Elena Grandi

- Assignee changed from Elena Grandi to Michael Guggenberg

Curioso, visto che next-server era gia configurato altrove, ma...

disponibile sul repo nuova versione (8.0.9-1) di fuss-server che imposta next-server anche li

#21 - 05/15/2017 10:24 AM - Michael Guggenberg

- Status changed from Commenti to Risolto
